<?php

global $post;

if ( isset( $_GET['download_gf_id'] ) ) {

	$log_id = str_replace( 'http://', '', sanitize_text_field( wp_unslash( $_GET['download_gf_id'] ) ) );

} else {

	$log_id = $gift_card_id;

}

$item_id = get_post_meta( $log_id, '_item_id', true );

$item = new WC_Order_Item_Product( $item_id );

$item_data = $item->get_data();

$items_meta_data[] = $item->get_meta_data();

$product = $item->get_product();

$afgc_coupon_code = $item->get_meta( 'afgc_cp' );

$afgc_to_from_info = $item->get_meta( 'afgc_gift_card_infos' );

if ( isset( $afgc_to_from_info['afgc_selected_img'] ) ) {

	$src = $afgc_to_from_info['afgc_selected_img'];

} else {

	$src = '';

}

$coupon = new WC_Coupon( $afgc_coupon_code );

$coupon_id = $coupon->get_id();

$coupon_exp = $coupon->get_date_expires();

$coupon_amount = $coupon->get_amount();

$afgc_type = $product->get_type();

$afgc_name = $product->get_name();

$afgc_desc = $product->get_description();

$afgc_img_id = $product->get_image_id();

$is_afgc_virtual = get_post_meta( $product->get_id(), 'afgc_virtual', true );

$afgc_enable_store_name_pdf = get_option( 'afgc_enable_store_name_pdf' ); // Enable Store Title.

$afgc_store_name_pdf = get_option( 'afgc_store_name_pdf' ); // Store Title.

$afgc_enable_store_logo_pdf = get_option( 'afgc_enable_store_logo_pdf' ); // Enable Store Logo.

$afgc_enable_gift_card_image = get_option( 'afgc_enable_gift_card_image' ); // Enable Gift Card Image.

$afgc_enable_gift_card_name = get_option( 'afgc_enable_gift_card_name' ); // Enable Gift Card Name.

$afgc_enable_gift_card_price = get_option( 'afgc_enable_gift_card_price' ); // Enable Gift Card Price.

$afgc_enable_gift_card_code = get_option( 'afgc_enable_gift_card_code' ); // Enable Coupon Code.

$afgc_enable_gift_card_message = get_option( 'afgc_enable_gift_card_message' ); // Enable Gift Card Message.

$afgc_gift_card_message = get_option( 'afgc_gift_card_message' ); // Gift Card Message.

$afgc_enable_disclaimer = get_option( 'afgc_enable_disclaimer' ); // Enable Disclaimer.

$afgc_disclaimer_text = get_option( 'afgc_disclaimer_text' ); // Disclaimer.

if ( 'yes' == $is_afgc_virtual ) {

	// Sender Message.
	$afgc_sender_message = in_array( 'afgc_sender_message', array_keys( $afgc_to_from_info ), true ) ? $afgc_to_from_info['afgc_sender_message'] : '';

	// Sender Name.
	$afgc_sender_name = in_array( 'afgc_sender_name', array_keys( $afgc_to_from_info ), true ) ? $afgc_to_from_info['afgc_sender_name'] : '';

	// Recipient Name.
	$afgc_recipient_name = in_array( 'afgc_recipient_name1', array_keys( $afgc_to_from_info ), true ) ? $afgc_to_from_info['afgc_recipient_name1'] : '';

	// Recipient Email.
	$afgc_recipient_email = in_array( 'afgc_recipient_email1', array_keys( $afgc_to_from_info ), true ) ? $afgc_to_from_info['afgc_recipient_email1'] : '';

}

?>

	<style>
		.afgc-template-box{
			box-sizing: border-box;
			overflow: hidden;
			width: 100%;
			max-width: 650px;
			margin: 0px auto;
			padding: 30px 20px;
			box-shadow: none;
			border: 1px solid #0000000d;
		}

		.afgc-pdf-header,
		.afgc-pdf-content{
			border-bottom: 1px solid #0000000d;
			padding-bottom: 15px;
			margin-bottom: 15px;
		}

		.afgc-pdf-band{
			position: relative;
		}

		.afgc-pdf-band h3{
			font-size: 20px;
			line-height: 30px;
			font-weight: bold;
		}

		.afgc-pdf-band img{
			width: 120px;
			border-radius:3px;
		}

		.afgc-card-image{
			box-sizing: border-box;
			background: transparent;
			margin:0 0 45px;
			text-align: center;
		}

		.afgc-card-image img{
			width: 65%;
			display: block;
			height: auto;
			margin: 0 auto;
			border-radius: 5px;
		}

		.afgc-pdf-header h2{
			font-size: 24px;
			line-height: 34px;
			font-weight: bold;
			position: relative;
		}

		.afgc-pdf-header h2 span{
			position: absolute;
			right: 0;
			top: 0;
			font-size: 22px;
			line-height: 32px;
		}

		.afgc-pdf-footer h3{
			font-size: 20px;
			line-height: 30px;
			font-weight: bold;
			position: relative;
			margin-top: 15px;
			margin-bottom: 15px;
		}

		.afgc-pdf-footer h3 span{
			position: absolute;
			right: 0;
			top: 0;
			font-size: 18px;
			line-height: 28px;
			text-align: right;
		}

		.afgc-template-box p{
			font-size: 12px;
			line-height: 22px;
			margin-bottom: 0px;
		}

		.afgc-pdf-message{
			margin-bottom: 20px;
		}

		.afgc-pdf-to-from{
			display: block;
			justify-content: space-between;
			flex-wrap: nowrap;
			width: 100%;
		}

		.afgc-pdf-to-from div{
			display: inline-block;
			vertical-align: top;
			width: 49%;
		}

		.afgc-pdf-to-from label{
			font-size: 14px;
			line-height: 24px;
			font-weight: 600;
		}

		.afgc-pdf-footer{
			font-size: 12px;
			line-height: 22px;
			margin-top: 15px;
		}

		.afgc-pdf-footer .afgc-card-valid{
			color: red;
			border-top: 1px solid #0000000d;
			padding-top: 20px;
			font-weight: 600;
			text-align: center;
			display: block;
			margin-top: 30px;
		}
	</style>

	<div class="afgc-template-box">
		<div class="afgc-pdf-header">
			<div class="afgc-pdf-band">
				<span>

					<?php if ( 'yes' == $afgc_enable_store_logo_pdf ) { ?>

						<img src="<?php echo esc_url( wp_get_attachment_url( get_theme_mod( 'custom_logo' ) ) ); ?>">

					<?php } ?>

				</span>
				<h3>
				<?php

				if ( 'yes' == $afgc_enable_store_name_pdf ) {

					echo esc_attr( $afgc_store_name_pdf );

				}

				?>
				</h3>
			</div>
			
			<?php if ( 'yes' == $afgc_enable_gift_card_image ) { ?>

				<div class="afgc-card-image">

					<?php if ( 'yes' == $is_afgc_virtual && ! empty( $src ) ) { ?>

						<img src="<?php echo esc_url( $src ); ?>">

					<?php } else { ?>

						<?php echo wp_kses_post( $product->get_image() ); ?>

					<?php } ?>

				</div>

			<?php } ?>

			<?php if ( 'yes' == $afgc_enable_gift_card_name && 'yes' == $afgc_enable_gift_card_price ) { ?>

				<h2><?php echo esc_attr( $afgc_name ); ?><span>£<?php echo esc_attr( $coupon_amount ); ?></span></h2>

			<?php } elseif ( 'yes' == $afgc_enable_gift_card_name ) { ?>

				<h2><?php echo esc_attr( $afgc_name ); ?></h2>

			<?php } elseif ( 'yes' == $afgc_enable_gift_card_price ) { ?>

				<h2><span><?php echo esc_attr( $coupon_amount ); ?></span></h2>

			<?php } ?>

		</div>

		<?php if ( 'yes' == $is_afgc_virtual ) { ?>

			<div class="afgc-pdf-to-from">
				<div>
					<label><?php echo esc_html__( 'From:', 'addify_gift_cards' ); ?> </label>	
					<p><?php echo esc_attr( $afgc_sender_name ); ?></p>
				</div>
				<div>
					<label><?php echo esc_html__( 'To:', 'addify_gift_cards' ); ?> </label>
					<p><?php echo esc_attr( $afgc_recipient_name ); ?></p>
					<p><?php echo esc_attr( $afgc_recipient_email ); ?></p>
				</div>
			</div>

		<?php } ?>
		
		<div class="afgc-pdf-message">

			<?php if ( 'yes' == $is_afgc_virtual ) { ?>

				<p><?php echo esc_attr( $afgc_sender_message ); ?></p>

			<?php } ?>
		</div>

		<div class="afgc-pdf-footer">

			<?php if ( 'yes' == $afgc_enable_gift_card_code ) { ?>

				<h3>
					<?php echo esc_html__( ' Gift Card Code', 'addify_gift_cards' ); ?> 
					<span><strong><?php echo esc_attr( $afgc_coupon_code ); ?></strong>
						
						<?php if ( $coupon_exp ) { ?>

							<p><strong><?php echo esc_html__( 'Expires on: ', 'addify_gift_cards' ); ?> </strong>

							<?php echo esc_attr( date_format( $coupon_exp, 'M-d-Y' ) ); ?>

							</p>

						<?php } ?>
						
					</span>
				</h3>

			<?php } ?>

			<?php if ( 'yes' == $afgc_enable_gift_card_message ) { ?>

				<p><center><?php echo esc_attr( $afgc_gift_card_message ); ?></center></p>

			<?php } ?>

			<?php if ( 'yes' == $afgc_enable_disclaimer ) { ?>

				<p class="afgc-card-valid"><?php echo esc_attr( $afgc_disclaimer_text ); ?></p>

			<?php } ?>

		</div>

	</div>
